function newStats = AccumulateTransitions(data, oldStats)
% ACCUMULATETRANSITIONS Gather pitch transition data from one file
%
% function newStats = AccumulateTransitions(data, oldStats)
% Accumulate the statistics for a transition matrix.  This routine just
% does one set of pre-quantized pitch data. The transition matrix counts
% are stats(fromState,toState)

if nargin < 2
    oldStats = 0;
end
% First get the final size based on max of input data and old stats array.
newMax = max(max(max(data)), max(size(oldStats)));
newStats = zeros(newMax, newMax);
newStats(1:size(oldStats,1), 1:size(oldStats,2)) = oldStats;

state1 = data(1:end-1);
state2 = data(2:end);
% Have to do this one sample at a time because vector version of this
% doesn't do the right thing :-(
for i=1:length(state1)
    if ~isnan(state1(i)) && ~isnan(state2(i))
        newStats(state1(i),state2(i)) = newStats(state1(i),state2(i)) + 1;
    end
end

if 0
    % Code to look for half-octave jumps we see in the Graf data. Not sure
    % why.
    diff = abs(state1-state2);
    pos = find((diff == 11 | diff == 12) & state1 > 3 & state2 > 3);
    if ~isempty(pos) > 0
        plot(data);
        hold on; plot(pos,state1(pos),'rx'); hold off
        diff = diff * 1;        % Dummy statement for breakpoint.
    end
end
