% FORRELEASE
%
% Files
%   AccumulateTransitions       - Gather pitch transition data from one file
%   CalculatePitch              - Calculate the pitch of one file (or list of files)
%   CalculateViterbiPitch       - Smooth the pitch probability data to calculate pitch
%   ComputeAllFeatures          - Compute all the features needed for the pitch calculation
%   ComputeCorrelograms         - Compute a correlogram for the pitch calculation
%   ComputeMLPPitchModel        - Create the multilayer perceptron to predict pitch
%   ComputePCA                  - Compute the principal components to explain some data.  Each column is
%   ComputePCACorrelogramModel  - Use PCA to summarize correlogram data
%   ComputePitchModel           - Create an entire pitch model (correlograms, pca, mlp)
%   DequantizePitches           - Return pitch classes into frequency (Hz)
%   FindPitchFiles              - Look for all sound (and pitch) files in a database.
%   FindTransitionProbabilities - Summarize pitch transition probabilities for a set of pitch data
%   MakeERBFiltersWide          - Wider version of AuditoryToolbox MakeERBFilters
%   MeasurePitchPerformance     - Given a pitch model, calculate overall performance
%   OptimizePitchMLP            - function [net, meanGood, meanBad, testPredictions] = ...
%   PCATransform                - Reduce dimensionality of correlogram data with PCA
%   PitchChange                 - Calculate the pitch change from pitch probabities
%   PitchCorrelogram            - Compute the correlogram needed for a pitch model
%   PitchTrackingError          - Calculate the pitch error using Lee & Ellis metric
%   QuantizePitches             - Quantize all pitches into (70) discrete classes
%   RestoreCorrelogram          - Get correlogram back out of disk cache
%   TestCode                    - Pitch Change Demonstration Code
%   ViterbiDecoder              - Generic Viterbi decoder given observations and transition probabilities
