function p = DequantizePitches(q)
% DEQUANTIZEPITCHES Return pitch classes into frequency (Hz)
%
% function q = DequantizePitches(p)
% Take all pitches from Dan Ellis' pitch classes into frequency.
% class 1 is unvoiced or no pitch (less than 20Hz in this code)
% class 2 is pitch less than lowPitch (60Hz)
% class 3 is pitch greater than highPitch (404Hz).
% The inverse of this function is QuantizePitch()
%
% See also:
%   QuantizePitches

noPitch = 20;
lowPitch = 60;
highPitch = 404;
pitchClassesPerOctave = 24;

% q(i) = 4+floor(log2(p(i)/lowPitch)*pitchClassesPerOctave);
p = lowPitch * 2.^((q-4)/pitchClassesPerOctave);
p(q<4) = 0;
p(q==3) = highPitch;
p(q==2) = lowPitch;


if 0
    p = 50:420;
    q = QuantizePitches(p);
    pp = DequantizePitches(q);
    plot(p, p-pp);
end
