function [correlogramData, correlogramFrameRate, numChannels, correlogramFrameWidth] = ...
    RestoreCorrelogram(fileStruct)
% RESTORECORRELOGRAM Get correlogram back out of disk cache
%
% function [correlogramData, correlogramFrameRate, numChannels, correlogramFrameWidth] = ...
%    RestoreCorrelogram(fileStruct)
% Recover the correlogram we computed earlier and stuck onto disk.  Return
% its parameters too. Each correlogram image is stored as one column in the
% correlogramData array that is returned.

if exist(fileStruct.correlogramFile, 'file')
    fprintf(' Reading correlogram data from %s...\n', fileStruct.correlogramFile);
    cd = load(fileStruct.correlogramFile);
    correlogramData = cd.correlogramData;
    correlogramFrameRate = cd.correlogramFrameRate;
    numChannels = cd.numChannels;
    correlogramFrameWidth = cd.correlogramFrameWidth;
    return;
end

error(sprintf('Can''t find correlogram data for %s.', fileStruct.waveFile));
